*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    --border-radius: 10px;
    --white: #fefefe;
    --bg: #000020;
    --color: #000028;
    --accent: #790457;
    --bg-gradient: radial-gradient(circle at -67% 243%, #76f85091 37%, transparent 68.05%), radial-gradient(circle at 27% 231%, #112bdd6d 61%, transparent 80.05%), radial-gradient(circle at 145% 145%, #f226e344 46%, transparent 63.05%);
    --bg-image: var(--bg-gradient);
    background-color: var(--bg);
    font-family: 'Poppins', sans-serif;
    color: var(--color);
    line-height: 1.4;
}

body {
    margin: 0;
}

p {
    max-width: 40rem;
}

.container {
    max-width: 120rem;
    margin: 0 auto;
    width: 100%;
    display: flex;
    flex-direction: column;
    overflow: hidden;
    background: rgba(255, 255, 255, 0.8);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    border: 1px solid rgba(255, 255, 255, 0.18);
}
.content-container {
    padding: 0 2rem;
}
.content-container.detail {
    max-width: 80rem;
    margin: 0 auto;
    padding-bottom: 4rem;
}
.text-container {
    max-width: 40rem;
    margin: 0 auto;
    font-size: 1.2rem;
    padding-bottom: 4rem;
}
.video-container {

    position: relative;
    padding-bottom: 56.10%;
    height: 0;
    overflow: hidden;
    width: 100%;
}
.video-container iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

.subtitle {
    color: var(--accent);
    font-variant: all-petite-caps;
    letter-spacing: .1em;
}

h2 + .subtitle {
    margin-top: -1.4rem;
}

img {
    vertical-align: bottom;
}

header {
    background-image: var(--bg-image);
    background-size: cover;
}

nav {
    background-color: white;
    box-shadow: 0 0 .5rem rgba(0, 0, 0, .2);
    opacity: .8;
}

nav a {
    color: inherit;
    text-decoration: none;
    padding: 1.5em 0;
    display: inline-block;
}

header .intro {
    display: flex;
    gap: max(4rem, 8vw);
    align-items: flex-start;
    flex-wrap: wrap;
    justify-content: space-between;
    padding-top: 4rem;
    padding-bottom: max(4rem, 20vh);
}

header .hero {
    margin-left: -2rem;
    padding-left: max(2rem, 10%);
    flex: 0 1 40rem;
}

header .hero h1 {
    text-shadow: 0 0 .02em, 0 0 5px var(--white);
    font-size: clamp(4rem, 8vw, 7rem);
    margin: 0;
    line-height: .8;
    font-family: 'DM Serif Display', serif;
}

header .hero .subtitle {
    margin: 2rem 0;
}

header .content-container .card {
    align-self: flex-end;
    margin-bottom: calc(min(-4rem, -20vh) - 8rem);
    flex: 1 1 20rem;
    background: rgba(255, 255, 255, 0.5);
}

main {
    flex-grow: 1;
    position: relative;
    padding-top: 8rem;
}

main ul.grid {
    margin: 0;
    padding: 4rem 0;
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    grid-template-rows: repeat(2, 1fr);
    grid-column-gap: 2rem;
    grid-row-gap: 2rem;
    justify-items: stretch;
    align-items: stretch;
}

.grid .card {
    grid-column: span 12;
    grid-row: span 2;
}

.card {
    background: rgba(255, 255, 255, 0.25);
    box-shadow: 0 8px 32px 0 rgba(31, 38, 135, 0.37);
    border-radius: var(--border-radius);
    border: 1px solid rgba(255, 255, 255, 0.18);
    display: flex;
    flex-direction: column;
    overflow: hidden;
    width: 100%;
    max-width: 100%;
}

.card-body {
    padding: 2rem;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
}

.card img {
    aspect-ratio: 21/9;
    object-fit: cover;
    transition: transform .3s ease-in-out;
    transform-origin: top;
}

.card img {
    aspect-ratio: 21/9;
    object-fit: cover;
    transition: transform .3s ease-in-out;
    transform-origin: top;
}

.card:has(a:hover) img {
    transform: scale(1.2);
}

.card h2 {
    margin-top: 0;
}

.card p {
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    flex-grow: 1;
}

a.button {
    display: block;
    margin-left: auto;
    width: max-content;
    text-decoration: none;
    color: var(--white);
    padding: .4em .7em .4em .7em;
    border-radius: var(--border-radius);
    font-size: .8rem;
    transition: background-position .3s ease-in-out;
    position: relative;
    z-index: 1;
    margin-top: 2rem;
}

a.button::after {
    content: '';
    border: 2px solid;
    width: .6em;
    height: .6em;
    display: inline-block;
    transform: rotate(45deg);
    border-top-right-radius: .2em;
    border-left: 0;
    border-bottom: 0;
    margin-left: .4em;
}

a.button,
a.button::before {
    background-color: #790457;
    background-image: radial-gradient(circle at 150% -100%, rgba(21, 176, 59, 0.76) 16%, transparent 93.05%),
    radial-gradient(circle at 120% 120%, rgba(80, 223, 248, .7) 16%, transparent 93.05%);
    background-size: 500% 100%;
    background-position-x: 99%;
    border-radius: var(--border-radius);
}

a.button::before {
    content: '';
    display: block;
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    z-index: -1;
    transition: background-position-x .3s ease-in-out, filter .3s ease-in-out;
}

a.button:hover,
a.button:focus-visible,
a.button:hover::before,
a.button:focus-visible::before {
    background-position-x: 0;
}

a.button:hover::before,
a.button:focus-visible::before {
    filter: blur(.4em);
}

a.button.large {
    font-size: 1.1rem;
}
a.button.back::after {
    content: unset;
}

footer {
    max-width: 120rem;
    margin: 0 auto;
}

footer .content-container {
    padding: 2rem;
    color: var(--white);
    text-align: right;
}

footer a {
    color: inherit;
}

@media screen and (min-width: 40rem) {
    .grid .card {
        grid-column: span 6;
        grid-row: span 2;
    }
}

@media screen and (min-width: 60rem) {

    :root {
        background-image: var(--bg-gradient);
        background-attachment: fixed;
    }

    body {
        padding: 8vh 8vh 0;
    }

    .container {
        border-radius: var(--border-radius)
    }

    header .hero {
        padding: 0 10%;
    }

    header .intro {
        padding-top: max(4rem, 20vh);
    }

    .grid .card {
        grid-column: span 4;
        grid-row: span 2;
    }

    .grid .card:nth-child(10n + 5),
    .grid .card:nth-child(10n + 9) {
        grid-column: span 8;
        grid-row: span 2;
    }

    .grid .card:nth-child(10n + 5) img,
    .grid .card:nth-child(10n + 4) img,
    .grid .card:nth-child(10n + 9) img,
    .grid .card:nth-child(10n + 10) img {
        height: 20rem;
    }
}
